<?php  

$wp_customize->add_section(
    'counter_area',
    array(
        'title' => __('Counter Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
  // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'counter_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'counter_area_disable',
            array(
                'settings'      => 'counter_area_disable',
                'section'       => 'counter_area',
                'label'         => __( 'Counter Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'counter', 'counter_area', $color='#fff', get_template_directory_uri().'/images/counterBg.jpg', 'colour');

addColorPalatOption($wp_customize, 'counterbgoverlyclr', 'counter_area', 'Section Overlay Color', '#001b42');


lzCustomLable($wp_customize, 'countersection_padding', 'counter_area', ' Section Padding Setting:');

$wp_customize->add_setting(
    'counter_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'counter_areaTpadding',
    array(
        'settings'      => 'counter_areaTpadding',
        'section'       => 'counter_area',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'counter_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'counter_areaBpadding',
    array(
        'settings'      => 'counter_areaBpadding',
        'section'       => 'counter_area',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'countersection_title_subtitle', 'counter_area', ' Section Title & Sub Title:');

$wp_customize->add_setting(
    'counter_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '25 Years Of Experience In Automobile Field.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'counter_maintitle',
    array(
        'settings'      => 'counter_maintitle',
        'section'       => 'counter_area',
        'type'          => 'text',
        'label'         => __( 'Title', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'counter_subheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'counter_subheading',
    array(
        'settings'      => 'counter_subheading',
        'section'       => 'counter_area',
        'type'          => 'textarea',
        'label'         => __( 'Sub Title', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('counter_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'counter_npp_heading',
        array(
            'settings'      => 'counter_npp_heading',
            'section'       => 'counter_area',
            'label'         => __( 'Number Of Plans', 'Luzuk Premium' ),
        )
    )
);    


$wp_customize->add_setting('counter_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'counter_npp_count',
    array(
        'settings'      => 'counter_npp_count',
        'section'       => 'counter_area',
        'type'          => 'select',
        'label'         => __( 'Number of counter to show', 'Luzuk Premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'counter_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        ) 
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'counter_header'.$i,
            array(
                'settings'      => 'counter_header'.$i,
                'section'       => 'counter_area',
                'label'         => __( 'Counter', 'Luzuk Premium' ).$i
            )
        )
    );

lzAddElement($wp_customize, 'counter_page_num'.$i, 'counter_area', $type = 'text', $label="Counter Number", $callback ='luzuk_sanitize_text', $default='10');

lzAddElement($wp_customize, 'counter_page_title'.$i, 'counter_area', $type = 'text', $label="Counter Title", $callback ='luzuk_sanitize_text', $default='Years Of Experience');

    
}


lzCustomLable($wp_customize, 'counter_sectioncolor', 'counter_area', ' Section Color');

addColorPalatOption($wp_customize, 'counter_title_color', 'counter_area', 'Title Color', '#fff');
addColorPalatOption($wp_customize, 'counter_Sub_title_color', 'counter_area', 'Sub Title Color', '#fff');
addColorPalatOption($wp_customize, 'counter_Number_color', 'counter_area', 'Counter Box Number Color', '#fff');
addColorPalatOption($wp_customize, 'counter_text_color', 'counter_area', 'Counter Box Text Color', '#fff');








